Get Authenticated Customer Offers And Orders
curl --request GET \
--url https://crypto.westminister.tech/api/v1/auth/customer/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://crypto.westminister.tech/api/v1/auth/customer/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://crypto.westminister.tech/api/v1/auth/customer/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"offers": [
{
"id": "6beca9cf-d3fa-4ddd-a24d-a7ad1410a9d4",
"vendor_id": "bc5cbd6b-ac1c-4654-8208-ede98d73872d",
"offer_type": "SELL",
"asset": "USDT",
"usdt_amount": "1000.00000000",
"available_amount": "1000.00000000",
"rate": "130.00",
"min_order": "10.00000000",
"max_order": "5000.00000000",
"status": "active"
}
],
"orders": [
{
"id": "f1088ed2-50e6-4591-9006-8f8f718035ca",
"customer_id": "bc5cbd6b-ac1c-4654-8208-ede98d73872d",
"vendor_id": "0d7c614d-b31e-4fc3-b874-b303c0ca1b73",
"offer_id": "4a98508d-8091-46a9-ba06-b75dbfb14006",
"usdt_amount": "14.97695853",
"fiat_amount": "2000.00",
"fiat_currency": "KES",
"wallet_address": "TGzdk5NZ6yFDDp2u35cKDWwSsktCDAR3MW",
"status": "pending",
"payment_method": "mpesa",
"order_type": "ON_RAMP_BUY"
}
]
}Transactions
Get Authenticated Customer Offers And Orders
Returns only the authenticated user’s own data:
- offers created by the authenticated user (
vendor_id = auth_user_id) - orders created by the authenticated user (
customer_id = auth_user_id)
GET
/
api
/
v1
/
auth
/
customer
/
transactions
Get Authenticated Customer Offers And Orders
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100⌘I